////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("WiseBlocks@localhost/v1.0:2099-12-31#636c2255");
IC.MasterDecorator.setShowNoLicenseMessage(true);


/***************** Highlighting input controls ********************/
IC.MasterDecorator.setHighlightAll(true);

/***************** Path information            		********************/
IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

/***************** Global definitions          ********************/
IC.MasterDecorator.setGlobals({
	highlight  : HighlightBox.ORANGE
});

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

IC.MasterDecorator.process([{
	className : "inputA",
	type : "numeric",
	borderStyle : "none"
},{
	className : "inputB",
	type : "numeric",
	highlight  : HighlightBox.GREEN
},{
	className : "inputC",
	type : "numeric",
	borderStyle : "1px dotted #8899AA"
},{
	className : "inputD",
	type : "numeric",
	borderStyle : "css"
},{
	className : "inputE",
	type : "numeric",
	borderStyle : "css"
}]);




