////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("XXX@anyhost@localhost/V2.X.X:2007-05-26#99cd1012");

IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

IC.MasterDecorator.setGlobals({
	conditions : [NegativeRed],
	borderStyle : "1px solid #7f9db9"
});                                                                                                     

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

// default messages - ENGLISH
IC.Dictionary.digitExpectedHere = "Digit is expected here.";
IC.Dictionary.alphaExpectedHere = "Alphabetic character is expected here.";
IC.Dictionary.digitOrDotExpectedHere = "Digit or decimal separator is expected here.";
IC.Dictionary.punctuationExpectedHere = "Punctuation sign is expected here.";
IC.Dictionary.hourValueExpectedHere = "The first hour (0-24) digit must be 0,1,2 or stay empty.";
IC.Dictionary.hour12ValueExpectedHere = "The first hour (1-12) digit must be 0,1 or stay empty.";
IC.Dictionary.AMPMValueExpectedHere = "You must type an A (AM) or a P (PM).";
IC.Dictionary.monthValueExpectedHere = "The first digit for the month must be either 0 or 1.";
IC.Dictionary.dateValueExpectedHere = "The first digit for the date must be between 0 and 3.";
IC.Dictionary.minuteValueExpectedHere = "The first minutes digit must be between 0 and 5.";
IC.Dictionary.secondValueExpectedHere = "The first seconds digit must be between 0 and 5.";



