////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("WiseBlocks@localhost/v1.0:2099-12-31#636c2255");

IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

IC.MasterDecorator.process([{
	className : "CUSTOM_dt1",
    type:"dateTime/calendar",
    mask:"M/d/y"
},{
	className : "CUSTOM_dt2",
    type:"dateTime/calendar",
    mask:"d/M/y"
},{
	className : "CUSTOM_dt3",
    type:"dateTime/calendar",
    mask:"y/d/M"
},{
	className : "CUSTOM_dt4",
    type:"dateTime/calendar",
    mask:"y/M/d"
},{
	className : "CUSTOM_dt5",
    type:"dateTime/calendar",
    mask:"dd/MM/yyyy"
},{
	className : "CUSTOM_dt6",
    type:"dateTime/calendar",
    mask:"MM/dd/yyyy"
},{
	className : "CUSTOM_dt7",
    type:"dateTime/calendar",
    mask:"yyyy/MM/dd"
},{
	className : "CUSTOM_dt8",
    type:"dateTime/calendar",
    mask:"d/MM/yyyy"
},{
	className : "CUSTOM_dt9",
    type:"dateTime/calendar",
    mask:"dd/MM/yy"
},{
	className : "CUSTOM_dt10",
    type:"dateTime/calendar",
    mask:"MM/dd/yy"
},{
	className : "CUSTOM_dt11",
    type:"dateTime/calendar",
    mask:"MM/d/y"
},{
	className : "CUSTOM_dt12",
    type:"dateTime/calendar",
    mask:"MM.dd.yyyy"
},{
	className : "CUSTOM_dt13",
    type:"dateTime/calendar",
    mask:"M/d/y",
	postBackDateFormat:"y-M-d h:m:s"
},{
	className : "CUSTOM_dt14",
    type:"dateTime/calendar",
    mask:"d/M/y",
	postBackDateFormat:"y-M-d h:m:s"
},{
	className : "CUSTOM_dt15",
    type:"dateTime/calendar",
    mask:"y/d/M",
	postBackDateFormat:"y-M-d h:m:s"
},{
	className : "CUSTOM_dt16",
    type:"dateTime/calendar",
    mask:"dd/MM/yyyy",
	postBackDateFormat:"y-M-d h:m:s"
},{
	className : "CUSTOM_dt17",
    type:"dateTime/calendar",
    mask:"MM/dd/yy",
	postBackDateFormat:"y-M-d h:m:s"
},{
	className:"CUSTOM_dt_18",
	type	:"dateTime",
	mask	:"MM/DD/YYYY hh:mm:ss a\\m"
},{
	className : "CUSTOM_t1",
    type:"dateTime/mask",
    mask:"h"
},{
	className : "CUSTOM_t2",
    type:"dateTime/mask",
    mask:"h:m"
},{
	className : "CUSTOM_t3",
    type:"dateTime/mask",
    mask:"h:m:s"
},{
	className : "CUSTOM_t4",
    type:"dateTime/mask",
    mask:"h:m:s a\\m"
},{
	className : "CUSTOM_t5",
    type:"dateTime/mask",
    mask:"a\\m"
},{
	className : "CUSTOM_t6",
    type:"dateTime/mask",
    mask:"A\\M"
},{
	className : "CUSTOM_t7",
    type:"dateTime/mask",
    mask:"a\\m"
},{
	className : "CUSTOM_t8",
    type:"dateTime/mask",
    mask:"A\\M"
},{
	className:"CUSTOM_t9",
	type	:"dateTime/mask",
	mask	:"hh:mm:ss a\\m"}]);




