////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("XXX@anyhost@localhost/V2.X.X:2007-05-26#99cd1012");

IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

IC.MasterDecorator.setGlobals({
	conditions : [NegativeRed],
	borderStyle : "1px solid #7f9db9"

});

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

/************************************/
/********   SKIN_ICS_BLUE   *********/
/************************************/
var ics_blue ={
            heights:{
                18:{
                    imageName:"ics_blue.gif",
                    size:{
                        calculator:[16,20],
                        calendar:[16,20],
                        spinUp:[16,7],
                        spinHandle:[16,7],
                        spinDown:[16,6],
                        arrowLeft:[9,15],
                        arrowRight:[9,15]
                    },
                    offsetsY:{
                        calculator :0,
                        spinUp:22,
                        spinHandle:29,
                        spinDown:36,
                        calendar:44,
                        arrowLeft:65,
                        arrowRight:82
                    },
                    offsetsX:{
                        normal:0,
                        over:21,
                        down:42
                    }
                },
                16:{
                    imageName:"ics_blue.gif",
                    size:{
                        calculator:[12,15],
                        calendar:[12,15],
                        spinUp:[12,5],
                        spinHandle:[12,6],
                        spinDown:[12,4],
                        arrowLeft:[9,15],
                        arrowRight:[9,15]
                    },
                    offsetsY:{
                        calculator :98,
                        spinUp:115,
                        spinHandle:120,
                        spinDown:126,
                        calendar:132,
                        arrowLeft:65,
                        arrowRight:82
                    },
                    offsetsX:{
                        normal:0,
                        over:21,
                        down:42
                    }
                }
            },
            path:"/ics_blue" // path relative to IC.MasterDecorator.setImagesPath(...)

        };
		
/************************************/
/********   SKIN_ICS_GREY   *********/
/************************************/
var ics_gray ={
	heights:{
		18:{
			imageName:"ics_gray.gif",
			size:{
				calculator:[16,20],
				calendar:[16,20],
				spinUp:[16,7],
				spinHandle:[16,7],
				spinDown:[16,6],
				arrowLeft:[9,15],
				arrowRight:[9,15]
			},
			offsetsY:{
				calculator :0,
				spinUp:22,
				spinHandle:29,
				spinDown:36,
				calendar:44,
				arrowLeft:65,
				arrowRight:82
			},
			offsetsX:{
				normal:0,
				over:21,
				down:42
			}
		},
		16:{
			imageName:"ics_gray.gif",
			size:{
				calculator:[12,15],
				calendar:[12,15],
				spinUp:[12,5],
				spinHandle:[12,6],
				spinDown:[12,4],
				arrowLeft:[9,15],
				arrowRight:[9,15]
			},
			offsetsY:{
				calculator :98,
				spinUp:115,
				spinHandle:120,
				spinDown:126,
				calendar:132,
				arrowLeft:65,
				arrowRight:82
			},
			offsetsX:{
				normal:0,
				over:21,
				down:42
			}
		}
	},
	path:"/ics_gray" // path relative to IC.MasterDecorator.setImagesPath(...)

};		
/************************************/
/********   SKIN_ICS_GREEN   *********/
/************************************/
var ics_green ={
	heights:{
		18:{
			imageName:"ics_green.gif",
			size:{
				calculator:[16,20],
				calendar:[16,20],
				spinUp:[16,7],
				spinHandle:[16,7],
				spinDown:[16,6],
				arrowLeft:[9,15],
				arrowRight:[9,15]
			},
			offsetsY:{
				calculator :0,
				spinUp:22,
				spinHandle:29,
				spinDown:36,
				calendar:44,
				arrowLeft:65,
				arrowRight:82
			},
			offsetsX:{
				normal:0,
				over:21,
				down:42
			}
		},
		16:{
			imageName:"ics_green.gif",
			size:{
				calculator:[12,15],
				calendar:[12,15],
				spinUp:[12,5],
				spinHandle:[12,6],
				spinDown:[12,4],
				arrowLeft:[9,15],
				arrowRight:[9,15]
			},
			offsetsY:{
				calculator :98,
				spinUp:115,
				spinHandle:120,
				spinDown:126,
				calendar:132,
				arrowLeft:65,
				arrowRight:82
			},
			offsetsX:{
				normal:0,
				over:21,
				down:42
			}
		}
	},
	path:"/ics_green" // path relative to IC.MasterDecorator.setImagesPath(...)

};		


/************************************/
/********   SKIN_ICS_RED   *********/
/************************************/
var ics_red ={
	heights:{
		18:{
			imageName:"ics_red.gif",
			size:{
				calculator:[16,20],
				calendar:[16,20],
				spinUp:[16,7],
				spinHandle:[16,7],
				spinDown:[16,6],
				arrowLeft:[9,15],
				arrowRight:[9,15]
			},
			offsetsY:{
				calculator :0,
				spinUp:22,
				spinHandle:29,
				spinDown:36,
				calendar:44,
				arrowLeft:65,
				arrowRight:82
			},
			offsetsX:{
				normal:0,
				over:21,
				down:42
			}
		},
		16:{
			imageName:"ics_red.gif",
			size:{
				calculator:[12,15],
				calendar:[12,15],
				spinUp:[12,5],
				spinHandle:[12,6],
				spinDown:[12,4],
				arrowLeft:[9,15],
				arrowRight:[9,15]
			},
			offsetsY:{
				calculator :98,
				spinUp:115,
				spinHandle:120,
				spinDown:126,
				calendar:132,
				arrowLeft:65,
				arrowRight:82
			},
			offsetsX:{
				normal:0,
				over:21,
				down:42
			}
		}
	},
	path:"/ics_red" // path relative to IC.MasterDecorator.setImagesPath(...)

};		


IC.MasterDecorator.process([
{
    className:"CUSTOM_Date_Advanced",
	type:"dateTime/calendar/spinner",
	mask:"M/d/y",
	autoSize: false,
	compactDropDown : true
},
{
	className : "CUSTOM_Num_Advanced",
	type : "numeric/spinner/calc",
    mask : "#,###,###",
	cursorOnFocus:"beforeDecimal",
	autoSize: false
},
{
	className : "CUSTOM_Num_Spin",
	type : "numeric/spinner",
    mask : "#,###,###",
	cursorOnFocus:"beforeDecimal",
	autoSize: false
},
{
	className : "CUSTOM_Num_Calc",
	type : "numeric/calc",
    mask : "#,###,###",
	cursorOnFocus:"beforeDecimal",
	autoSize: false
},
{
	className:"CUSTOM_Date_English",
	type:"dateTime/calendar",
	mask:"M/d/y",
	autoSize: false,
	compactDropDown : true	
},
{
	className:"silver",
	skin:IC.MasterDecorator.SKIN_XP_SILVER,
	highlight : HighlightBox.GRAY
},
{
	className:"ics_blue",
	skin: IC.MasterDecorator.SKIN_ICS_BLUE,
	highlight : HighlightBox.BLUE
},
{
	className:"ics_gray",
	skin: IC.MasterDecorator.SKIN_ICS_GRAY,
	highlight : HighlightBox.GRAY
},
{
	className:"ics_green",
	skin: IC.MasterDecorator.SKIN_ICS_GREEN,
	highlight : HighlightBox.GREEN
},
{
	className:"ics_red",
	skin: IC.MasterDecorator.SKIN_ICS_RED,
	highlight : HighlightBox.RED
}
]);




