////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("FREELICENSE@localhost/V2.x.x:2099-01-01#3aca560b");
//IC.MasterDecorator.acceptLicense("YOUR LICENSE HERE");
IC.MasterDecorator.setNoLicenseMessage("WiseBlocks ICSuite license has not been found.  Visit www.wiseblocks.com to get a free trial license");
IC.MasterDecorator.setShowNoLicenseMessage(true);

/***************** Path information            ********************/
//default value
IC.MasterDecorator.setImagesPath("WiseBlocks_resources/img");

/***************** Logging & error reporting ********************/
//recommended for development
ICOpen.Log.setShowOnError(true);
ICOpen.Log.setShowOnWarn(false);
ICOpen.Log.setShowOnInfo(false);

//Apply ICDecorator to all your input fields without assigning a specific class name to all of them.
/*
IC.MasterDecorator.setHighlightAll(true);
*/

/***************** Global definitions ********************/
//Custom global definitions are applied to all instrumented controls unless overwritten by a concrete definition. 
//Examples (See users guide for more details) :

IC.MasterDecorator.setGlobals({
	conditions : [NegativeRed],
	highlight  : HighlightBox.BLUE,
	borderStyle : "1px solid #7f9db9",
	cursorOnFocus:"firstEmpty",
	skin: IC.MasterDecorator.SKIN_XP_BLUE
});

/***************** Custom class definitions ********************/
//Examples

/*
    IC.MasterDecorator.process([{
        id : "CUSTOM_Num_15Digits",
        type : "numeric/calc",
        mask : "###,###,###,###,###.##",
        cursorOnFocus:"begin"
    }, {
        className : "CUSTOM_Txt_US_Phone",
	    type            : "text/mask",
	    mask            : "(###)###-####",
	    blankCharacter  : "_"
    } ]);
*/