////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("WiseBlocks@localhost/v1.0:2099-12-31#636c2255");

IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

IC.MasterDecorator.setHighlightAll(false);

IC.MasterDecorator.process([{
	className:"IC_Calendar1",
    type:"dateTime/calendar",
    mask:"d/M/y",
	autoSize: true,
	highlight: false
},{
	className:"IC_Calendar2",
    type:"dateTime/calendar",
    mask:"d/M/y",
	autoSize: false,
	highlight: false
},{
	className:"IC_Standard1",
    type     : "text/mask",
	mask     : "(###)###-####",
	blankCharacter  : "_",
	autoSize: true,
	highlight: false
},{
	className:"IC_Standard2",
    type     : "text/mask",
	mask     : "(###)###-####",
	blankCharacter  : "_",
	autoSize: false,
	highlight: false
}]);




