////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

/***************** Global definitions          ********************/
IC.MasterDecorator.setGlobals({
	conditions : [NegativeRed],
	borderStyle : "1px solid #7f9db9",
	cursorOnFocus:"firstEmpty",
	skin: IC.MasterDecorator.SKIN_XP_BLUE,
	highlight : HighlightBox.BLUE
});

IC.MasterDecorator.setHighlightAll(false);

IC.MasterDecorator.process([
/***************** Custom definitions for employment from      ********************/
{
	className : "CUSTOM_Txt_Name",
	type : "text/mask",
	mask : "@@@@@@@@@@@@@@@@@@@@@@@@@",
	caseFormatters  : "++--------------------------",
	cursorOnFocus : "firstEmpty",
	blankCharacter  : " "	
}]);