////////////////////////////////////////////////////////////////////
//  WiseBlocks Input Components Suite configuration
////////////////////////////////////////////////////////////////////

/***************** License Information         ********************/
IC.MasterDecorator.acceptLicense("WiseBlocks@localhost/v1.0:2099-12-31#636c2255");
IC.MasterDecorator.setShowNoLicenseMessage(true);

/***************** Path information            		********************/
IC.MasterDecorator.setImagesPath("../../WiseBlocks_resources/img"); //default value
/***************** Popup images skin information   ********************/

/***************** Global definitions          ********************/
IC.MasterDecorator.setGlobals({
	conditions : [NegativeRed],
	highlight  : HighlightBox.BLUE,
	borderStyle : "1px solid #7f9db9",
	cursorOnFocus:"firstEmpty",
	skin: IC.MasterDecorator.SKIN_ICS_BLUE
});

IC.MasterDecorator.setHighlightAll(false);

/***************** Logging & error reporting   ********************/
ICOpen.Log.setShowOnError(true); 
ICOpen.Log.setShowOnWarn(true); 
ICOpen.Log.setShowOnInfo(true); 

IC.MasterDecorator.process([{
	className : "IC_Calc",
	type : "numeric/calc"
},{
	className : "IC_Calc_XP",
	type : "numeric/calc",
	skin: IC.MasterDecorator.SKIN_XP_BLUE
},{
	className : "IC_Calc_Vista",
	type : "numeric/calc",
	skin: IC.MasterDecorator.SKIN_XP_SILVER
},{
	className : "IC_Spin",
	type : "numeric/spinner"
},{
	className : "IC_Spin_XP",
	type : "numeric/spinner",
	skin: IC.MasterDecorator.SKIN_XP_BLUE
},{
	className : "IC_Spin_Vista",
	type : "numeric/spinner",
	skin: IC.MasterDecorator.SKIN_XP_SILVER
},{
   	className:"IC_Calendar",
    type:"dateTime/calendar",
    mask:"d/M/y"
},{
   	className:"IC_Calendar_XP",
    type:"dateTime/calendar",
    mask:"d/M/y",
	skin: IC.MasterDecorator.SKIN_XP_BLUE
},{
   	className:"IC_Calendar_Vista",
    type:"dateTime/calendar",
    mask:"d/M/y",
	skin: IC.MasterDecorator.SKIN_XP_SILVER
},{
   	className:"IC_CalendarSpinner",
    type:"dateTime/calendar/spinner",
    mask:"d/M/y"
},{
   	className:"IC_CalendarSpinner_XP",
    type:"dateTime/calendar/spinner",
    mask:"d/M/y",
	skin: IC.MasterDecorator.SKIN_XP_BLUE
},{
   	className:"IC_CalendarSpinner_Vista",
    type:"dateTime/calendar/spinner",
    mask:"d/M/y",
	skin: IC.MasterDecorator.SKIN_XP_SILVER
},{
   	className:"IC_CalculatorSpinner",
    type:"numeric/calc/spinner"
},{
   	className:"IC_CalculatorSpinner_XP",
    type:"numeric/calc/spinner",
	skin: IC.MasterDecorator.SKIN_XP_BLUE
},{
   	className:"IC_CalculatorSpinner_Vista",
    type:"numeric/calc/spinner",
	skin: IC.MasterDecorator.SKIN_XP_SILVER
}
]);




